Bug 1703417 (CVE-2019-11555)

Summary: CVE-2019-11555 wpa_supplicant: NULL pointer dereference due to improper fragmentation reassembly state validation in EAP-pwd implementation
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bgalvani, blueowl, dcaratti, dcbw, john.j5live, linville, lkundrak, negativo17, sukulkar
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20190418,reported=20190418,source=oss-security,cvss3=5.3/CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H,cwe=CWE-476,fedora-all/wpa_supplicant=affected,openshift-online-3/wpa_supplicant=notaffected,rhel-5/wpa_supplicant=notaffected,rhel-6/wpa_supplicant=notaffected,rhel-7/wpa_supplicant=notaffected,rhel-8/wpa_supplicant=notaffected,fedora-all/hostapd=affected,epel-all/hostapd=affected
Fixed In Version: wpa_supplicant 2.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:54:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1712959, 1703418, 1712958    
Bug Blocks: 1703420    

Description Marian Rehak 2019-04-26 11:13:30 UTC
EAP-pwd implementation in hostapd (EAP server) and wpa_supplicant (EAP peer) was discovered not to validate fragmentation reassembly state properly for a case where an unexpected fragment could be received. This could result in process termination due to NULL pointer dereference.

Comment 1 Marian Rehak 2019-04-26 11:13:41 UTC
Created wpa_supplicant tracking bugs for this issue:

Affects: fedora-all [bug 1703418]

Comment 5 Riccardo Schirone 2019-05-22 15:16:04 UTC
Created hostapd tracking bugs for this issue:

Affects: epel-all [bug 1712959]
Affects: fedora-all [bug 1712958]

Comment 6 Riccardo Schirone 2019-05-22 15:24:24 UTC
Statement:

This issue did not affect the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 5, and 6 as they did not include support for EAP-pwd.

This issue did not affect the versions of wpa_supplicant as shipped with Red Hat Enterprise Linux 7, and 8 as they are not compiled with EAP-pwd enabled. In particular, the CONFIG_EAP_PWD=y option is not set at compile time.